This service will be undergoing maintenance at 03:30 UTC, 2016-05-27. It is expected to last about 2 hours
Bug 840529 - incorrect SELinux context on /etc/nsswitch.conf
incorrect SELinux context on /etc/nsswitch.conf
Status: CLOSED DUPLICATE of bug 818585
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: sudo (Show other bugs)
5.8
Unspecified Unspecified
unspecified Severity high
: rc
: ---
Assigned To: Daniel Kopeček
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-16 10:33 EDT by Jan Hutař
Modified: 2012-07-27 16:04 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-17 11:11:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Hutař 2012-07-16 10:33:57 EDT
Description of problem:
There is an incorrect SELinux context on file /etc/nsswitch.conf which, strangely, prevents PostgreSQL database to start listening on localhost:5432.


Version-Release number of selected component (if applicable):
RHEL-5.8 updated to latest
glibc-2.5-81.el5_8.4


How reproducible:
4 of 4 cases


Steps to Reproduce:
1. provision RHEL5.8 and apply available updates
2. # ls -Z /etc/nsswitch.conf


Actual results:
root:object_r:rpm_script_tmp_t


Expected results:
system_u:object_r:etc_t
Comment 3 Jeff Law 2012-07-16 11:30:49 EDT
Please check the selinux context on /etc.  This kind of problem showed up somewhere else recently and an incorrect context on /etc was the root cause.
Comment 9 Daniel Kopeček 2012-07-17 11:11:11 EDT

*** This bug has been marked as a duplicate of bug 818585 ***

Note You need to log in before you can comment on or make changes to this bug.